// Copyright (C) 2005 Dave Griffiths
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

#include <math.h>
#include <iostream>
#include "VideoTexture.h"

using namespace std;

VideoTexture::VideoTexture(const string &filename)
{
	m_Movie.Open(filename);
	m_ID=0;
	glGenTextures(1,&m_ID);
}

VideoTexture::~VideoTexture()
{
}

void VideoTexture::Update()
{
	m_Movie.NextFrame();
	
	if(m_Movie.GetData())
	{
		// upload to card...
    	glBindTexture(GL_TEXTURE_2D,m_ID);
    	gluBuild2DMipmaps(GL_TEXTURE_2D,3,m_Movie.GetWidth(),m_Movie.GetHeight(),
					GL_RGB,GL_UNSIGNED_BYTE,m_Movie.GetData());
	}
}







